Description

Looking into #4895 where NatanW proposes a gui element to set search paths for template folder, I think it would be a good idea for QGIS

to have one or more folders where QGIS will look for QGIS related resources like: plugins, icons, templates, styles etc etc

Currently the .qgis folder is something like that, but that is supposed to to be handled by QGIS itself, so we can change it during an

upgrade. But one drawback of .qgis is that it is a hidden folder (for non tech windows users at least).

So more: Convention over Configuration (CoC) then have another Settings-element for setting some search paths.

In this way a user would have one folder in which she can stick all templates, styles, icons and whatever is handy for qgis as long as that

folder holds a predefined set of subfolders: icons, styles, templates, plugins...

For organisations working with shared icons and templates, it would be good to have the possibility to set several QGIS folders (like you

can do for svg icons now).

Then the search path would be:

- .qgis folder

- first user defined folder

- second user defined folder

etc

History

#1 - 2012-01-27 12:11 AM - Richard Duivenvoorde

- Subject changed from Have 1 non-hidde QGIS folder with a fixed list of subdirs for icons, templates, styles, plugins ... to Have 1 (non-hidden) QGIS 

folder with a fixed set of subdirs for icons, templates, styles, plugins ...

#2 - 2012-04-15 10:21 AM - Giovanni Manghi

- Target version set to Version 2.0.0

#3 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2018-04-16 03:37 PM - Harrissou Santanna

- Status changed from Open to Feedback

- Description updated

Richard, Is this still valid?

Does the "Layout paths" section in settings --> Options --> Layouts (as well as the sections in System tab) answer your request?
